> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/entities/inventory/inventory-update-1.md).

# Update an inventory item

## Update inventory item

<mark style="color:orange;">`PUT`</mark> `https://ris.rightsline.com/v4/inventory/:id`

Update the characteristics of a inventory.

#### Path Parameters

| Name | Type   | Description                        |
| ---- | ------ | ---------------------------------- |
| id   | string | The ID of the inventory to update. |

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

#### Request Body

| Name                | Type   | Description                                                      |
| ------------------- | ------ | ---------------------------------------------------------------- |
| title               | string | The new title of the inventory.                                  |
| template            | object | The template of the inventory.                                   |
| template.templateId | string | The unique ID of the template that is assigned to the inventory. |
| characteristics     | object | The field values to update on the inventory.                     |
| parentRelationship  | array  | Create this inventory as a child of other entities.              |

{% tabs %}
{% tab title="200 Inventory updated successfully." %}

```javascript
{
  "parentRelationship": null,
  "relationshipUpdateRules": null,
  "id": 2,
  "revisionId": 0,
  "title": "Physical Media 1",
  "template": {
    "fields": [],
    "templateId": 7,
    "templateName": "Physical Media",
    "processId": 0,
    "processName": null
  },
  "status": {
    "statusId": 1,
    "statusName": "Created"
  },
  "characteristics": {
    "image_aspect_ratio": {
      "id": 5,
      "value": "1.33:1 (4:3)"
    },
    "format": {
      "id": 1,
      "value": "DCP 2K"
    },
    "fedex_number": "2"
  },
  "comments": [],
  "createdById": 296242,
  "createdDate": "2015-11-02T23:12:10.963Z",
  "lastUpdatedById": 296242,
  "lastUpdatedDate": "2015-11-02T23:12:11.077Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.rightsline.com/entities/inventory/inventory-update-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
